import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { FormGroup, FormBuilder, Validators } from '@angular/forms';
import {select, Store} from '@ngrx/store';
import {RPCClientError} from '@loafer/ng-rpc';

import * as MemberEntityStore from '../store/entity/member';

@Component({
  selector: 'of-member-reset-password-container',
  templateUrl: './member-reset-password-container.component.html',
})
export class MemberResetPasswordContainerComponent implements OnInit {
  constructor(
    private store: Store<any>,
  ) { }

  ngOnInit() {
  }

  resetPassword(email: string) {
    this.store.dispatch(new MemberEntityStore.ResetPassword(email));
  }
}
